# InsecureProtocolOption

enum InsecureProtocolOption

Options for handling insecure protocols when generating a project with repositories.

#### Since

7.3

## Entries

FAIL
Link copied to clipboard
FAIL

Fail if a URL with an insecure protocol is found. Refuse to generate a Gradle build.

WARN
Link copied to clipboard
WARN

Emit a warning if a URL with an insecure protocol is found. The generated Gradle build will fail at runtime.

ALLOW
Link copied to clipboard
ALLOW

Allow insecure protocols to be used when found. The generated Gradle build will not fail, but it will allow insecure protocols to be used.

UPGRADE
Link copied to clipboard
UPGRADE

Upgrade an insecure protocol to a secure one. The generated Gradle build will not fail, but the repository may not be usable over a secure protocol.

## Functions

valueOf
Link copied to clipboard
open fun valueOf(name: String): InsecureProtocolOption

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

values
Link copied to clipboard
open fun values(): Array<InsecureProtocolOption>

Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants.